#
# spec file for package selinux-doc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           selinux-doc
Version:        1.26
Release:        58.5
Url:            http://www.nsa.gov/selinux/
Summary:        SELinux documentation
License:        GPL-2.0+
Group:          Productivity/Security
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  docbook-toys
BuildRequires:  docbook-utils
%if %suse_version > 1220
BuildRequires:  texlive-courier
BuildRequires:  texlive-dvips
BuildRequires:  texlive-ec
BuildRequires:  texlive-helvetic
BuildRequires:  texlive-jadetex
BuildRequires:  texlive-times
%endif

%description
Security-enhanced Linux is a feature of the Linux(R) kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds of
mandatory access control policies, including those based on the
concepts of Type Enforcement(R), Role-based Access Control, and
Multi-level Security.

This package contains build instructions, porting information, and a
CREDITS file for SELinux.  Some of these files will be split up into
per-package files in the future, and other documentation will be added
to this package (e.g. an updated form of the Configuring the SELinux
Policy report).



%prep
%setup -q
%define parts module policy uavc

%build
for i in %{parts}; do
    (cd $i && make all)
done

%install
for i in %{parts}; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/$i
done
install -m 644 CREDITS PORTING README* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
for i in %{parts}; do
    cp -R $i/main/*   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/$i
    cp    $i/main.pdf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/$i/selinux$i.pdf
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}-%{version}

%changelog
* Mon Jul 23 2012 werner@suse.de
- Add ec fonts as well for TeXLive 2012
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Mon Jul 21 2008 prusnak@suse.cz
- initial version 1.26
  * based on Fedora package by Dan Walsh <dwalsh@redhat.com>
